require "test_helper"

class KeyBindsControllerTest < ActionDispatch::IntegrationTest
  setup do
    @key_bind = key_binds(:one)
  end

  test "should get index" do
    get key_binds_url
    assert_response :success
  end

  test "should get new" do
    get new_key_bind_url
    assert_response :success
  end

  test "should create key_bind" do
    assert_difference("KeyBind.count") do
      post key_binds_url, params: { key_bind: { batch_id: @key_bind.batch_id, key_id: @key_bind.key_id, setup_id: @key_bind.setup_id } }
    end

    assert_redirected_to key_bind_url(KeyBind.last)
  end

  test "should show key_bind" do
    get key_bind_url(@key_bind)
    assert_response :success
  end

  test "should get edit" do
    get edit_key_bind_url(@key_bind)
    assert_response :success
  end

  test "should update key_bind" do
    patch key_bind_url(@key_bind), params: { key_bind: { batch_id: @key_bind.batch_id, key_id: @key_bind.key_id, setup_id: @key_bind.setup_id } }
    assert_redirected_to key_bind_url(@key_bind)
  end

  test "should destroy key_bind" do
    assert_difference("KeyBind.count", -1) do
      delete key_bind_url(@key_bind)
    end

    assert_redirected_to key_binds_url
  end
end
